# Makefile.in generated by automake 1.16.1 from Makefile.am.
# @configure_input@

# Copyright (C) 1994-2018 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

# $Id$
VPATH = @srcdir@
am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
check_PROGRAMS = basic1$(EXEEXT) basic2$(EXEEXT) cursinit$(EXEEXT) \
	cursorbuf1$(EXEEXT) curswin1$(EXEEXT) curswin2$(EXEEXT) \
	curswin3$(EXEEXT) dynlabel1$(EXEEXT) dynlabel2$(EXEEXT) \
	pack1$(EXEEXT) pack2$(EXEEXT) pack3$(EXEEXT) pack4$(EXEEXT) \
	pack5$(EXEEXT) pack6$(EXEEXT) pack7$(EXEEXT) pack8$(EXEEXT) \
	pack9$(EXEEXT) packresize1$(EXEEXT) resize1$(EXEEXT) \
	resize2$(EXEEXT) widget1$(EXEEXT) widget2$(EXEEXT) \
	widget3$(EXEEXT) listbox1$(EXEEXT) hrule1$(EXEEXT) \
	vrule1$(EXEEXT)
# LD_EXPORT_DYNAMIC is basically only used for interactive_tests and
# only works on non-cygwin systems
@NOTCYGWIN_TRUE@am__append_1 = $(LD_EXPORT_DYNAMIC)
subdir = tests/ui-non-interactive
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_check_link_flag.m4 \
	$(top_srcdir)/m4/ax_cxx_compile_stdcxx.m4 \
	$(top_srcdir)/m4/ax_with_curses.m4 $(top_srcdir)/m4/gettext.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intlmacosx.m4 \
	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h \
	$(top_builddir)/include/libyacurscfg.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
basic1_SOURCES = basic1.cc
basic1_OBJECTS = basic1.$(OBJEXT)
basic1_LDADD = $(LDADD)
AM_V_lt = $(am__v_lt_@AM_V@)
am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
am__v_lt_0 = --silent
am__v_lt_1 = 
basic2_SOURCES = basic2.cc
basic2_OBJECTS = basic2.$(OBJEXT)
basic2_LDADD = $(LDADD)
cursinit_SOURCES = cursinit.cc
cursinit_OBJECTS = cursinit.$(OBJEXT)
cursinit_LDADD = $(LDADD)
cursorbuf1_SOURCES = cursorbuf1.cc
cursorbuf1_OBJECTS = cursorbuf1.$(OBJEXT)
cursorbuf1_LDADD = $(LDADD)
curswin1_SOURCES = curswin1.cc
curswin1_OBJECTS = curswin1.$(OBJEXT)
curswin1_LDADD = $(LDADD)
curswin2_SOURCES = curswin2.cc
curswin2_OBJECTS = curswin2.$(OBJEXT)
curswin2_LDADD = $(LDADD)
curswin3_SOURCES = curswin3.cc
curswin3_OBJECTS = curswin3.$(OBJEXT)
curswin3_LDADD = $(LDADD)
dynlabel1_SOURCES = dynlabel1.cc
dynlabel1_OBJECTS = dynlabel1.$(OBJEXT)
dynlabel1_LDADD = $(LDADD)
dynlabel2_SOURCES = dynlabel2.cc
dynlabel2_OBJECTS = dynlabel2.$(OBJEXT)
dynlabel2_LDADD = $(LDADD)
hrule1_SOURCES = hrule1.cc
hrule1_OBJECTS = hrule1.$(OBJEXT)
hrule1_LDADD = $(LDADD)
listbox1_SOURCES = listbox1.cc
listbox1_OBJECTS = listbox1.$(OBJEXT)
listbox1_LDADD = $(LDADD)
pack1_SOURCES = pack1.cc
pack1_OBJECTS = pack1.$(OBJEXT)
pack1_LDADD = $(LDADD)
pack2_SOURCES = pack2.cc
pack2_OBJECTS = pack2.$(OBJEXT)
pack2_LDADD = $(LDADD)
pack3_SOURCES = pack3.cc
pack3_OBJECTS = pack3.$(OBJEXT)
pack3_LDADD = $(LDADD)
pack4_SOURCES = pack4.cc
pack4_OBJECTS = pack4.$(OBJEXT)
pack4_LDADD = $(LDADD)
pack5_SOURCES = pack5.cc
pack5_OBJECTS = pack5.$(OBJEXT)
pack5_LDADD = $(LDADD)
pack6_SOURCES = pack6.cc
pack6_OBJECTS = pack6.$(OBJEXT)
pack6_LDADD = $(LDADD)
pack7_SOURCES = pack7.cc
pack7_OBJECTS = pack7.$(OBJEXT)
pack7_LDADD = $(LDADD)
pack8_SOURCES = pack8.cc
pack8_OBJECTS = pack8.$(OBJEXT)
pack8_LDADD = $(LDADD)
pack9_SOURCES = pack9.cc
pack9_OBJECTS = pack9.$(OBJEXT)
pack9_LDADD = $(LDADD)
packresize1_SOURCES = packresize1.cc
packresize1_OBJECTS = packresize1.$(OBJEXT)
packresize1_LDADD = $(LDADD)
resize1_SOURCES = resize1.cc
resize1_OBJECTS = resize1.$(OBJEXT)
resize1_LDADD = $(LDADD)
resize2_SOURCES = resize2.cc
resize2_OBJECTS = resize2.$(OBJEXT)
resize2_LDADD = $(LDADD)
vrule1_SOURCES = vrule1.cc
vrule1_OBJECTS = vrule1.$(OBJEXT)
vrule1_LDADD = $(LDADD)
widget1_SOURCES = widget1.cc
widget1_OBJECTS = widget1.$(OBJEXT)
widget1_LDADD = $(LDADD)
widget2_SOURCES = widget2.cc
widget2_OBJECTS = widget2.$(OBJEXT)
widget2_LDADD = $(LDADD)
widget3_SOURCES = widget3.cc
widget3_OBJECTS = widget3.$(OBJEXT)
widget3_LDADD = $(LDADD)
AM_V_P = $(am__v_P_@AM_V@)
am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_@AM_V@)
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_@AM_V@)
am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir) -I$(top_builddir)/include
depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
am__maybe_remake_depfiles = depfiles
am__depfiles_remade = ./$(DEPDIR)/basic1.Po ./$(DEPDIR)/basic2.Po \
	./$(DEPDIR)/cursinit.Po ./$(DEPDIR)/cursorbuf1.Po \
	./$(DEPDIR)/curswin1.Po ./$(DEPDIR)/curswin2.Po \
	./$(DEPDIR)/curswin3.Po ./$(DEPDIR)/dynlabel1.Po \
	./$(DEPDIR)/dynlabel2.Po ./$(DEPDIR)/hrule1.Po \
	./$(DEPDIR)/listbox1.Po ./$(DEPDIR)/pack1.Po \
	./$(DEPDIR)/pack2.Po ./$(DEPDIR)/pack3.Po ./$(DEPDIR)/pack4.Po \
	./$(DEPDIR)/pack5.Po ./$(DEPDIR)/pack6.Po ./$(DEPDIR)/pack7.Po \
	./$(DEPDIR)/pack8.Po ./$(DEPDIR)/pack9.Po \
	./$(DEPDIR)/packresize1.Po ./$(DEPDIR)/resize1.Po \
	./$(DEPDIR)/resize2.Po ./$(DEPDIR)/vrule1.Po \
	./$(DEPDIR)/widget1.Po ./$(DEPDIR)/widget2.Po \
	./$(DEPDIR)/widget3.Po
am__mv = mv -f
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
AM_V_CXX = $(am__v_CXX_@AM_V@)
am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
am__v_CXX_0 = @echo "  CXX     " $@;
am__v_CXX_1 = 
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
am__v_CXXLD_0 = @echo "  CXXLD   " $@;
am__v_CXXLD_1 = 
SOURCES = basic1.cc basic2.cc cursinit.cc cursorbuf1.cc curswin1.cc \
	curswin2.cc curswin3.cc dynlabel1.cc dynlabel2.cc hrule1.cc \
	listbox1.cc pack1.cc pack2.cc pack3.cc pack4.cc pack5.cc \
	pack6.cc pack7.cc pack8.cc pack9.cc packresize1.cc resize1.cc \
	resize2.cc vrule1.cc widget1.cc widget2.cc widget3.cc
DIST_SOURCES = basic1.cc basic2.cc cursinit.cc cursorbuf1.cc \
	curswin1.cc curswin2.cc curswin3.cc dynlabel1.cc dynlabel2.cc \
	hrule1.cc listbox1.cc pack1.cc pack2.cc pack3.cc pack4.cc \
	pack5.cc pack6.cc pack7.cc pack8.cc pack9.cc packresize1.cc \
	resize1.cc resize2.cc vrule1.cc widget1.cc widget2.cc \
	widget3.cc
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__tty_colors_dummy = \
  mgn= red= grn= lgn= blu= brg= std=; \
  am__color_tests=no
am__tty_colors = { \
  $(am__tty_colors_dummy); \
  if test "X$(AM_COLOR_TESTS)" = Xno; then \
    am__color_tests=no; \
  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
    am__color_tests=yes; \
  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
    am__color_tests=yes; \
  fi; \
  if test $$am__color_tests = yes; then \
    red='[0;31m'; \
    grn='[0;32m'; \
    lgn='[1;32m'; \
    blu='[1;34m'; \
    mgn='[0;35m'; \
    brg='[1m'; \
    std='[m'; \
  fi; \
}
am__DIST_COMMON = $(srcdir)/Makefile.in \
	$(top_srcdir)/build-aux/depcomp
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @ACLOCAL@
AMTAR = @AMTAR@
AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
AR = @AR@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CURSES_LIB = @CURSES_LIB@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DLLTOOL = @DLLTOOL@
DSYMUTIL = @DSYMUTIL@
DUMPBIN = @DUMPBIN@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
ENABLEDEBUG = @ENABLEDEBUG@
EXEEXT = @EXEEXT@
FGREP = @FGREP@
GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
GMSGFMT = @GMSGFMT@
GMSGFMT_015 = @GMSGFMT_015@
GREP = @GREP@
HAVE_CXX14 = @HAVE_CXX14@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
INTLLIBS = @INTLLIBS@
INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
LD = @LD@
LDFLAGS = @LDFLAGS@
LD_EXPORT_DYNAMIC = @LD_EXPORT_DYNAMIC@
LIBICONV = @LIBICONV@
LIBINTL = @LIBINTL@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LIBTOOL = @LIBTOOL@
LIPO = @LIPO@
LN_S = @LN_S@
LTLIBICONV = @LTLIBICONV@
LTLIBINTL = @LTLIBINTL@
LTLIBOBJS = @LTLIBOBJS@
LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
MAKEINFO = @MAKEINFO@
MANIFEST_TOOL = @MANIFEST_TOOL@
MKDIR_P = @MKDIR_P@
MSGFMT = @MSGFMT@
MSGFMT_015 = @MSGFMT_015@
MSGMERGE = @MSGMERGE@
NM = @NM@
NMEDIT = @NMEDIT@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
OTOOL = @OTOOL@
OTOOL64 = @OTOOL64@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_URL = @PACKAGE_URL@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
POSUB = @POSUB@
RANLIB = @RANLIB@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
USE_NLS = @USE_NLS@
VERSION = @VERSION@
XGETTEXT = @XGETTEXT@
XGETTEXT_015 = @XGETTEXT_015@
XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
builddir = @builddir@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
srcdir = @srcdir@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
AUTOMAKE_OPTIONS = serial-tests
TESTS = $(check_PROGRAMS)
AM_DEFAULT_SOURCE_EXT = .cc
AM_CPPFLAGS = -D_XOPEN_SOURCE_EXTENDED=1 -DLOCALEDIR=\"$(localedir)\"	\
-I$(top_srcdir)/include $(ENABLEDEBUG)

AM_LDFLAGS = -L$(top_builddir)/src -lyacurs $(CURSES_LIB) $(LTLIBINTL) \
	$(am__append_1)
@NOTCYGWIN_TRUE@AM_CXXFLAGS = $(STDCXX98_FLAG)
all: all-am

.SUFFIXES:
.SUFFIXES: .cc .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/ui-non-interactive/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu tests/ui-non-interactive/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

clean-checkPROGRAMS:
	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
	echo " rm -f" $$list; \
	rm -f $$list || exit $$?; \
	test -n "$(EXEEXT)" || exit 0; \
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
	echo " rm -f" $$list; \
	rm -f $$list

basic1$(EXEEXT): $(basic1_OBJECTS) $(basic1_DEPENDENCIES) $(EXTRA_basic1_DEPENDENCIES) 
	@rm -f basic1$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(basic1_OBJECTS) $(basic1_LDADD) $(LIBS)

basic2$(EXEEXT): $(basic2_OBJECTS) $(basic2_DEPENDENCIES) $(EXTRA_basic2_DEPENDENCIES) 
	@rm -f basic2$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(basic2_OBJECTS) $(basic2_LDADD) $(LIBS)

cursinit$(EXEEXT): $(cursinit_OBJECTS) $(cursinit_DEPENDENCIES) $(EXTRA_cursinit_DEPENDENCIES) 
	@rm -f cursinit$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(cursinit_OBJECTS) $(cursinit_LDADD) $(LIBS)

cursorbuf1$(EXEEXT): $(cursorbuf1_OBJECTS) $(cursorbuf1_DEPENDENCIES) $(EXTRA_cursorbuf1_DEPENDENCIES) 
	@rm -f cursorbuf1$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(cursorbuf1_OBJECTS) $(cursorbuf1_LDADD) $(LIBS)

curswin1$(EXEEXT): $(curswin1_OBJECTS) $(curswin1_DEPENDENCIES) $(EXTRA_curswin1_DEPENDENCIES) 
	@rm -f curswin1$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(curswin1_OBJECTS) $(curswin1_LDADD) $(LIBS)

curswin2$(EXEEXT): $(curswin2_OBJECTS) $(curswin2_DEPENDENCIES) $(EXTRA_curswin2_DEPENDENCIES) 
	@rm -f curswin2$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(curswin2_OBJECTS) $(curswin2_LDADD) $(LIBS)

curswin3$(EXEEXT): $(curswin3_OBJECTS) $(curswin3_DEPENDENCIES) $(EXTRA_curswin3_DEPENDENCIES) 
	@rm -f curswin3$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(curswin3_OBJECTS) $(curswin3_LDADD) $(LIBS)

dynlabel1$(EXEEXT): $(dynlabel1_OBJECTS) $(dynlabel1_DEPENDENCIES) $(EXTRA_dynlabel1_DEPENDENCIES) 
	@rm -f dynlabel1$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(dynlabel1_OBJECTS) $(dynlabel1_LDADD) $(LIBS)

dynlabel2$(EXEEXT): $(dynlabel2_OBJECTS) $(dynlabel2_DEPENDENCIES) $(EXTRA_dynlabel2_DEPENDENCIES) 
	@rm -f dynlabel2$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(dynlabel2_OBJECTS) $(dynlabel2_LDADD) $(LIBS)

hrule1$(EXEEXT): $(hrule1_OBJECTS) $(hrule1_DEPENDENCIES) $(EXTRA_hrule1_DEPENDENCIES) 
	@rm -f hrule1$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(hrule1_OBJECTS) $(hrule1_LDADD) $(LIBS)

listbox1$(EXEEXT): $(listbox1_OBJECTS) $(listbox1_DEPENDENCIES) $(EXTRA_listbox1_DEPENDENCIES) 
	@rm -f listbox1$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(listbox1_OBJECTS) $(listbox1_LDADD) $(LIBS)

pack1$(EXEEXT): $(pack1_OBJECTS) $(pack1_DEPENDENCIES) $(EXTRA_pack1_DEPENDENCIES) 
	@rm -f pack1$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(pack1_OBJECTS) $(pack1_LDADD) $(LIBS)

pack2$(EXEEXT): $(pack2_OBJECTS) $(pack2_DEPENDENCIES) $(EXTRA_pack2_DEPENDENCIES) 
	@rm -f pack2$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(pack2_OBJECTS) $(pack2_LDADD) $(LIBS)

pack3$(EXEEXT): $(pack3_OBJECTS) $(pack3_DEPENDENCIES) $(EXTRA_pack3_DEPENDENCIES) 
	@rm -f pack3$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(pack3_OBJECTS) $(pack3_LDADD) $(LIBS)

pack4$(EXEEXT): $(pack4_OBJECTS) $(pack4_DEPENDENCIES) $(EXTRA_pack4_DEPENDENCIES) 
	@rm -f pack4$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(pack4_OBJECTS) $(pack4_LDADD) $(LIBS)

pack5$(EXEEXT): $(pack5_OBJECTS) $(pack5_DEPENDENCIES) $(EXTRA_pack5_DEPENDENCIES) 
	@rm -f pack5$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(pack5_OBJECTS) $(pack5_LDADD) $(LIBS)

pack6$(EXEEXT): $(pack6_OBJECTS) $(pack6_DEPENDENCIES) $(EXTRA_pack6_DEPENDENCIES) 
	@rm -f pack6$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(pack6_OBJECTS) $(pack6_LDADD) $(LIBS)

pack7$(EXEEXT): $(pack7_OBJECTS) $(pack7_DEPENDENCIES) $(EXTRA_pack7_DEPENDENCIES) 
	@rm -f pack7$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(pack7_OBJECTS) $(pack7_LDADD) $(LIBS)

pack8$(EXEEXT): $(pack8_OBJECTS) $(pack8_DEPENDENCIES) $(EXTRA_pack8_DEPENDENCIES) 
	@rm -f pack8$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(pack8_OBJECTS) $(pack8_LDADD) $(LIBS)

pack9$(EXEEXT): $(pack9_OBJECTS) $(pack9_DEPENDENCIES) $(EXTRA_pack9_DEPENDENCIES) 
	@rm -f pack9$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(pack9_OBJECTS) $(pack9_LDADD) $(LIBS)

packresize1$(EXEEXT): $(packresize1_OBJECTS) $(packresize1_DEPENDENCIES) $(EXTRA_packresize1_DEPENDENCIES) 
	@rm -f packresize1$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(packresize1_OBJECTS) $(packresize1_LDADD) $(LIBS)

resize1$(EXEEXT): $(resize1_OBJECTS) $(resize1_DEPENDENCIES) $(EXTRA_resize1_DEPENDENCIES) 
	@rm -f resize1$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(resize1_OBJECTS) $(resize1_LDADD) $(LIBS)

resize2$(EXEEXT): $(resize2_OBJECTS) $(resize2_DEPENDENCIES) $(EXTRA_resize2_DEPENDENCIES) 
	@rm -f resize2$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(resize2_OBJECTS) $(resize2_LDADD) $(LIBS)

vrule1$(EXEEXT): $(vrule1_OBJECTS) $(vrule1_DEPENDENCIES) $(EXTRA_vrule1_DEPENDENCIES) 
	@rm -f vrule1$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(vrule1_OBJECTS) $(vrule1_LDADD) $(LIBS)

widget1$(EXEEXT): $(widget1_OBJECTS) $(widget1_DEPENDENCIES) $(EXTRA_widget1_DEPENDENCIES) 
	@rm -f widget1$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(widget1_OBJECTS) $(widget1_LDADD) $(LIBS)

widget2$(EXEEXT): $(widget2_OBJECTS) $(widget2_DEPENDENCIES) $(EXTRA_widget2_DEPENDENCIES) 
	@rm -f widget2$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(widget2_OBJECTS) $(widget2_LDADD) $(LIBS)

widget3$(EXEEXT): $(widget3_OBJECTS) $(widget3_DEPENDENCIES) $(EXTRA_widget3_DEPENDENCIES) 
	@rm -f widget3$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(widget3_OBJECTS) $(widget3_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/basic1.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/basic2.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cursinit.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cursorbuf1.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/curswin1.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/curswin2.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/curswin3.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dynlabel1.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dynlabel2.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hrule1.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/listbox1.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pack1.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pack2.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pack3.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pack4.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pack5.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pack6.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pack7.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pack8.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pack9.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/packresize1.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/resize1.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/resize2.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vrule1.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/widget1.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/widget2.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/widget3.Po@am__quote@ # am--include-marker

$(am__depfiles_remade):
	@$(MKDIR_P) $(@D)
	@echo '# dummy' >$@-t && $(am__mv) $@-t $@

am--depfiles: $(am__depfiles_remade)

.cc.o:
@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<

.cc.obj:
@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.cc.lo:
@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

ID: $(am__tagged_files)
	$(am__define_uniq_tagged_files); mkid -fID $$unique
tags: tags-am
TAGS: tags

tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	set x; \
	here=`pwd`; \
	$(am__define_uniq_tagged_files); \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: ctags-am

CTAGS: ctags
ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	$(am__define_uniq_tagged_files); \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"
cscopelist: cscopelist-am

cscopelist-am: $(am__tagged_files)
	list='$(am__tagged_files)'; \
	case "$(srcdir)" in \
	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
	  *) sdir=$(subdir)/$(srcdir) ;; \
	esac; \
	for i in $$list; do \
	  if test -f "$$i"; then \
	    echo "$(subdir)/$$i"; \
	  else \
	    echo "$$sdir/$$i"; \
	  fi; \
	done >> $(top_builddir)/cscope.files

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

check-TESTS: $(TESTS)
	@failed=0; all=0; xfail=0; xpass=0; skip=0; \
	srcdir=$(srcdir); export srcdir; \
	list=' $(TESTS) '; \
	$(am__tty_colors); \
	if test -n "$$list"; then \
	  for tst in $$list; do \
	    if test -f ./$$tst; then dir=./; \
	    elif test -f $$tst; then dir=; \
	    else dir="$(srcdir)/"; fi; \
	    if $(TESTS_ENVIRONMENT) $${dir}$$tst $(AM_TESTS_FD_REDIRECT); then \
	      all=`expr $$all + 1`; \
	      case " $(XFAIL_TESTS) " in \
	      *[\ \	]$$tst[\ \	]*) \
		xpass=`expr $$xpass + 1`; \
		failed=`expr $$failed + 1`; \
		col=$$red; res=XPASS; \
	      ;; \
	      *) \
		col=$$grn; res=PASS; \
	      ;; \
	      esac; \
	    elif test $$? -ne 77; then \
	      all=`expr $$all + 1`; \
	      case " $(XFAIL_TESTS) " in \
	      *[\ \	]$$tst[\ \	]*) \
		xfail=`expr $$xfail + 1`; \
		col=$$lgn; res=XFAIL; \
	      ;; \
	      *) \
		failed=`expr $$failed + 1`; \
		col=$$red; res=FAIL; \
	      ;; \
	      esac; \
	    else \
	      skip=`expr $$skip + 1`; \
	      col=$$blu; res=SKIP; \
	    fi; \
	    echo "$${col}$$res$${std}: $$tst"; \
	  done; \
	  if test "$$all" -eq 1; then \
	    tests="test"; \
	    All=""; \
	  else \
	    tests="tests"; \
	    All="All "; \
	  fi; \
	  if test "$$failed" -eq 0; then \
	    if test "$$xfail" -eq 0; then \
	      banner="$$All$$all $$tests passed"; \
	    else \
	      if test "$$xfail" -eq 1; then failures=failure; else failures=failures; fi; \
	      banner="$$All$$all $$tests behaved as expected ($$xfail expected $$failures)"; \
	    fi; \
	  else \
	    if test "$$xpass" -eq 0; then \
	      banner="$$failed of $$all $$tests failed"; \
	    else \
	      if test "$$xpass" -eq 1; then passes=pass; else passes=passes; fi; \
	      banner="$$failed of $$all $$tests did not behave as expected ($$xpass unexpected $$passes)"; \
	    fi; \
	  fi; \
	  dashes="$$banner"; \
	  skipped=""; \
	  if test "$$skip" -ne 0; then \
	    if test "$$skip" -eq 1; then \
	      skipped="($$skip test was not run)"; \
	    else \
	      skipped="($$skip tests were not run)"; \
	    fi; \
	    test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
	      dashes="$$skipped"; \
	  fi; \
	  report=""; \
	  if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
	    report="Please report to $(PACKAGE_BUGREPORT)"; \
	    test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
	      dashes="$$report"; \
	  fi; \
	  dashes=`echo "$$dashes" | sed s/./=/g`; \
	  if test "$$failed" -eq 0; then \
	    col="$$grn"; \
	  else \
	    col="$$red"; \
	  fi; \
	  echo "$${col}$$dashes$${std}"; \
	  echo "$${col}$$banner$${std}"; \
	  test -z "$$skipped" || echo "$${col}$$skipped$${std}"; \
	  test -z "$$report" || echo "$${col}$$report$${std}"; \
	  echo "$${col}$$dashes$${std}"; \
	  test "$$failed" -eq 0; \
	else :; fi

distdir: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) distdir-am

distdir-am: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
	mostlyclean-am

distclean: distclean-am
		-rm -f ./$(DEPDIR)/basic1.Po
	-rm -f ./$(DEPDIR)/basic2.Po
	-rm -f ./$(DEPDIR)/cursinit.Po
	-rm -f ./$(DEPDIR)/cursorbuf1.Po
	-rm -f ./$(DEPDIR)/curswin1.Po
	-rm -f ./$(DEPDIR)/curswin2.Po
	-rm -f ./$(DEPDIR)/curswin3.Po
	-rm -f ./$(DEPDIR)/dynlabel1.Po
	-rm -f ./$(DEPDIR)/dynlabel2.Po
	-rm -f ./$(DEPDIR)/hrule1.Po
	-rm -f ./$(DEPDIR)/listbox1.Po
	-rm -f ./$(DEPDIR)/pack1.Po
	-rm -f ./$(DEPDIR)/pack2.Po
	-rm -f ./$(DEPDIR)/pack3.Po
	-rm -f ./$(DEPDIR)/pack4.Po
	-rm -f ./$(DEPDIR)/pack5.Po
	-rm -f ./$(DEPDIR)/pack6.Po
	-rm -f ./$(DEPDIR)/pack7.Po
	-rm -f ./$(DEPDIR)/pack8.Po
	-rm -f ./$(DEPDIR)/pack9.Po
	-rm -f ./$(DEPDIR)/packresize1.Po
	-rm -f ./$(DEPDIR)/resize1.Po
	-rm -f ./$(DEPDIR)/resize2.Po
	-rm -f ./$(DEPDIR)/vrule1.Po
	-rm -f ./$(DEPDIR)/widget1.Po
	-rm -f ./$(DEPDIR)/widget2.Po
	-rm -f ./$(DEPDIR)/widget3.Po
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
		-rm -f ./$(DEPDIR)/basic1.Po
	-rm -f ./$(DEPDIR)/basic2.Po
	-rm -f ./$(DEPDIR)/cursinit.Po
	-rm -f ./$(DEPDIR)/cursorbuf1.Po
	-rm -f ./$(DEPDIR)/curswin1.Po
	-rm -f ./$(DEPDIR)/curswin2.Po
	-rm -f ./$(DEPDIR)/curswin3.Po
	-rm -f ./$(DEPDIR)/dynlabel1.Po
	-rm -f ./$(DEPDIR)/dynlabel2.Po
	-rm -f ./$(DEPDIR)/hrule1.Po
	-rm -f ./$(DEPDIR)/listbox1.Po
	-rm -f ./$(DEPDIR)/pack1.Po
	-rm -f ./$(DEPDIR)/pack2.Po
	-rm -f ./$(DEPDIR)/pack3.Po
	-rm -f ./$(DEPDIR)/pack4.Po
	-rm -f ./$(DEPDIR)/pack5.Po
	-rm -f ./$(DEPDIR)/pack6.Po
	-rm -f ./$(DEPDIR)/pack7.Po
	-rm -f ./$(DEPDIR)/pack8.Po
	-rm -f ./$(DEPDIR)/pack9.Po
	-rm -f ./$(DEPDIR)/packresize1.Po
	-rm -f ./$(DEPDIR)/resize1.Po
	-rm -f ./$(DEPDIR)/resize2.Po
	-rm -f ./$(DEPDIR)/vrule1.Po
	-rm -f ./$(DEPDIR)/widget1.Po
	-rm -f ./$(DEPDIR)/widget2.Po
	-rm -f ./$(DEPDIR)/widget3.Po
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am:

.MAKE: check-am install-am install-strip

.PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
	check-am clean clean-checkPROGRAMS clean-generic clean-libtool \
	cscopelist-am ctags ctags-am distclean distclean-compile \
	distclean-generic distclean-libtool distclean-tags distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-dvi install-dvi-am \
	install-exec install-exec-am install-html install-html-am \
	install-info install-info-am install-man install-pdf \
	install-pdf-am install-ps install-ps-am install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-compile \
	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
	tags tags-am uninstall uninstall-am

.PRECIOUS: Makefile


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
